petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMPIDataTypeToPetscDataType

inds the PETSc name of a datatype from its MPI name

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMPIDataTypeToPetscDataType(MPI_Datatype mtype,PetscDataType *ptype)

Not collective

### Input Parameter

mtype -the MPI datatype (for example MPI_DOUBLE, ...)

### Output Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

### See Also

PetscDataType, PetscMPIDataTypeToPetscDataType()

### Level

advanced

### Location

src/sys/objects/ptype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages